aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMax Howell2009-06-08 15:59:59 +0100
committerMax Howell2009-06-08 15:59:59 +0100
commit530ab40bd5624d2abcd462626de9a1fdec117c34 (patch)
tree3e6b74f90ac78347799389d1eb4380c0820b53a7
parent5c0a7e56beb5482143d8199eec883cd7750b49dc (diff)
downloadbrew-530ab40bd5624d2abcd462626de9a1fdec117c34.tar.bz2
With brew mk, open with mate if available
-rwxr-xr-xbin/brew7
1 files changed, 6 insertions, 1 deletions
diff --git a/bin/brew b/bin/brew
index 7fa034164..9c7651a7d 100755
--- a/bin/brew
+++ b/bin/brew
@@ -272,7 +272,12 @@ begin
f.puts "end"
f.close
- puts path
+ if Kernel.system "which mate > /dev/null" and $? == 0
+ exec "mate #{path}"
+ else
+ puts path
+ end
+
when 'info'
o=__obj shift_formulae_from_ARGV[0]
puts "#{o.name} #{o.version}"